WhirlpoolRandomSpi (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.jce.prng.WhirlpoolRandomSpi,WhirlpoolRandomSpi class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.jce.prng
Class WhirlpoolRandomSpi

    java.lang.Object
      |
      +--java.security.SecureRandomSpi
            |
            +--gnu.crypto.jce.prng.SecureRandomAdapter
                  |
                  +--gnu.crypto.jce.prng.WhirlpoolRandomSpi

All Implemented Interfaces:
  java.io.Serializable

public class WhirlpoolRandomSpi
extends gnu.crypto.jce.prng.SecureRandomAdapter

The implementation of the Whirlpool-based SecureRandom Service Provider Interface (SPI) adapter.

See Also:
  Serialized Form

Constructor Summary
`WhirlpoolRandomSpi()`

Method Summary
`byte[]` | `engineGenerateSeed(int numBytes)`
`void` | `engineNextBytes(byte[] bytes)`
`void` | `engineSetSeed(byte[] seed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhirlpoolRandomSpi

    public WhirlpoolRandomSpi()

Method Detail

### engineGenerateSeed

    public byte[] engineGenerateSeed(int numBytes)

  Specified by:
    `engineGenerateSeed` in class `java.security.SecureRandomSpi`

### engineNextBytes

    public void engineNextBytes(byte[] bytes)

  Specified by:
    `engineNextBytes` in class `java.security.SecureRandomSpi`

### engineSetSeed

    public void engineSetSeed(byte[] seed)

  Specified by:
    `engineSetSeed` in class `java.security.SecureRandomSpi`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.